/***************************************************************
SPI.c
Compiler: KEIL C
****************************************************************/

#include <ADuC7026.h>
#include "Common.h"

unsigned char RevByte;

unsigned char spiwrite(unsigned char data)
{
	unsigned char r_data;
	SPITX = data;      
    while ((SPISTA & 0x08) != 0x08) ; 
    r_data = SPIRX;				  
    return r_data;
}	

unsigned char spiread(void)				//read 1 Byte data
{			   
	unsigned char data;
	SPITX = 0xFF;						//Send dummy date
    while ((SPISTA & 0x08) != 0x08) ; 
    data = SPIRX;						// recieve byte
    return data;
}

void spiread_16bit(unsigned char *data_H, unsigned char *data_L)//read 16bit data
{	
	SPITX = 0xFF;      					  //Send dummy date
    while ((SPISTA & 0x08) != 0x08) ; 
    *data_H = SPIRX;					  // recieve high-byte
	SPITX = 0xFF;      					  //Send dummy data
    while ((SPISTA & 0x08) != 0x08) ; 
    *data_L = SPIRX;					  // recieve low-byte
}
